<div id="product">
    <div class="bg-product-grey pb-6">
      <div class="content-width-960 mx-auto pt-6">
        <v-row no-gutters>
          <v-col cols="12" sm="6" class="px-3" id="scroll-select">
            <div class="main-img">
              <img :src="imgThumbnail()" v-if="imgThumbnail() && isClickImage === 'carousel-left'">
              <img :src="parseImageThumb" alt="2" v-if="parseImageThumb && isClickImage === 'carousel-right'">
            </div>
            <div v-if="listImage && listImage.length" class="mt-4 carousel-product"
              :class="listImage && listImage.length < 4 ? 'center-image' : ''">
              <VueSlickCarousel :arrows="true" v-bind="settings" style="width: 100%" :touchMove="false">
                <div v-for="(slide, i) in listImage" :key="i" ref="carouselClick"
                  @click="changedCarousel(i, 'btnCarousel')" class="no-shadow thumbnails c-pointer"
                  :class="`carousel-item-left${i}`" style="width: 67px; height: 67px">
                  <div class="card-image--carousel">
                    <img :src="slide.imageUrl" alt="" width="67px" height="67px" class="mr-0"
                      :class="idxCarousel === i ? 'carousel--active' : ''">
                  </div>
                </div>
                <template #prevArrow="arrowOption">
                  <div class="custom-arrow prev-arrow prev-arrow-icon pos-relative">
                    <div>
                      <v-icon size="40px" color="#898989">
                        mdi-chevron-left
                      </v-icon>
                    </div>
                  </div>
                </template>
                <template #nextArrow="arrowOption">
                  <div class="custom-arrow next-arrow next-arrow-icon pos-relative">
                    <div>
                      <v-icon size="40px" color="#898989">
                        mdi-chevron-right
                      </v-icon>
                    </div>
                  </div>
                </template>
              </VueSlickCarousel>
            </div>
  
          </v-col>
          <v-col cols="12" sm="6" class="px-3">
            <div class="pt-6 pt-sm-0">
              <h2 class="mb-0 fsize-24">
                {{product.productName}}
              </h2>
              <div class="my-3 d-flex align-center">
                <h2 class="mb-0 fsize-24" v-if="!timer">
                  <p class="mb-0" v-if="priceVariant !== priceProduct">
                    ${{priceVariant && $utils.formatCurrency(priceVariant)}}
                    <span
                      class="text-decoration-line-through ml-1">${{priceProduct && $utils.formatCurrency(priceProduct)}}
                    </span>
                  </p>
                  <p class="mb-0" v-else>
                    ${{priceVariant && $utils.formatCurrency(priceVariant)}}
                  </p>
                </h2>
                <h2 class="mb-0 fsize-24" v-if="timer">
                  ${{timer ? priceSale  && $utils.formatCurrency(priceSale) : priceProduct && $utils.formatCurrency(priceProduct) }}
                  <span class="text-decoration-line-through ml-1"
                    v-if="timer && priceSale !== priceProduct">${{priceProduct && $utils.formatCurrency(priceProduct)}}
                  </span>
                </h2>
                <div class="d-none">
                  {{product && product.priceProduct}}
                </div>
                <div class="pa-1 color-product-detail-sale rounded ml-3" v-if="timer && priceSale !== priceProduct">
                  <p class="mb-0 fsize-16 white--text">
                    Save
                    ${{(priceProduct - priceSale).toFixed(2) && $utils.formatCurrency((priceProduct - priceSale).toFixed(2))}}
                  </p>
                </div>
                <div>
  
                </div>
              </div>
              <div class="my-3 d-flex align-center" v-if="timer && priceSale !== priceProduct">
                <v-icon color="#E85244">
                  mdi-timer-outline
                </v-icon>
                <p class="mb-0 bodyBold contentSemanticRed mx-2">
                  {{timer}}
                </p>
                <p class="mb-0 contentSemanticRed fsize-16" style="opacity: .8;">
                  left to buy
                </p>
              </div>
              <v-divider></v-divider>
              <div class="mt-1">
                <div v-if="listVariant.length">
                  <div>
                    <div v-for="(variant, i) in product.listVariantOptionId" :key="i"
                      v-if="product && product.listVariantOptionId && product.listVariantOptionId.length" class="mt-2">
                      <div class="">
                        <p class="mb-0 fsize-15 font font-weight-bold">
                          {{variant.name}}
                        </p>
                        <div class="d-flex flex-wrap align-center">
                          <div class="py-2 px-2 mr-2 mt-2 c-pointer rounded" v-for="(valueVariant,idx) in variant.values"
                            :key="idx"
                            :class="variant.selected === idx ? 'border-variant-active' : 'border-variant-inactive'"
                            @click="changedCarouselRight(variant._id, idx)">
                            <p class="mb-0 fsize-14 text-uppercase">
                              {{valueVariant}}
                            </p>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
  
                <div class="mt-4" v-if="isCustomShowDescription === 'short'">
                  <div id="imageFluid-product-description-short custom-font-text">
                    <div v-html="product.description"></div>
                  </div>
                </div>
                <div class="my-4 d-sm-flex d-block align-center justify-space-between input-fr">
                  <div :class="listVariant.length === 0 ? 'mt-2' : ''"
                    class="d-flex align-center justify-space-betwee quantity-input">
                    <button class="px-2 py-1" :disabled="payload.quantity < 2" @click="onDecrease()">
                      <v-icon color="#000000" size="16">
                        mdi-minus
                      </v-icon>
                    </button>
                    <div id="hideBottomInput">
                      <input dense outlined v-model.number="payload.quantity" oninput="this.value = 
                      !!this.value && Math.abs(this.value) >= 0 ? Math.abs(this.value) : null" class="quanity-number">
                      </input>
                    </div>
                    <button class="px-2 py-1" @click="onIncrease()">
                      <v-icon color="#000000" size="16">
                        mdi-plus
                      </v-icon>
                    </button>
                  </div>
                  <button class="elevation-0 cart-btn mx-md-0 mx-sm-2 mx-00" :disabled="loading">
                    <v-progress-circular v-if="loading" size="18" indeterminate color="#1b1b1b">
                    </v-progress-circular>
                    <template v-else class="d-flex align-center">
                      <v-icon color="white" small class="mr-1">
                        mdi-cart
                      </v-icon>
                      <p class="mb-0">
                        {{$language.addToCart}}
                      </p>
                    </template>
                  </button>
                  <button class="elevation-0 buy-btn" :disabled="loadingBuy">
                    <v-progress-circular v-if="loadingBuy" size="18" indeterminate color="#1b1b1b">
                    </v-progress-circular>
                    <template v-else class="d-flex align-center">
                      <v-icon color="white" small class="mr-1">
                        mdi-credit-card
                      </v-icon>
                      <p class="mb-0">
                        {{$language.buyItNow}}
                      </p>
                    </template>
                  </button>
                </div>
                <div class="mt-4">
                  <v-divider class="mb-4"></v-divider>
                  <div style="position: relative;">
                    <div style="width: 100%" class="d-flex justify-center">
                      <div class="text-title-paypal-product">
                        <p class="mb-0 colorGreyLighter fsize-14">{{$language.orCheckoutWith}}</p>
                      </div>
                    </div>
                  </div>
                  <div style="margin-bottom: 6px">
                    <v-btn color="#ffc439" block height="55" class="rounded elevation-0">
                      <img src="~/assets/images/paypal-payment.png" alt="">
                    </v-btn>
                    <v-btn color="#2C2E2F" block height="55" class="rounded elevation-0 mt-4 white--text capitalize">
                      Debit or credit card
                    </v-btn>
                  </div>
                  <p class="mb-0 contentBlack subTitle1">
                    <span class="lightSemanticError">*{{$language.note}}</span>: {{$language.noteDesc}}
                  </p>
                </div>
                <div>
                  <div>
                    <v-divider class="my-3"></v-divider>
                    <div>
                      <div v-if="combo && combo.listProductId">
                        <p class="fsize-20 mb-4">
                          {{$language.comboBoughtTogether}}
                        </p>
                        <div class="d-flex flex-wrap align-center">
                          <div v-for="(comboProduct, i) in combo.listProductId" :key="comboProduct._id">
                            <div class="product-frequently-bought-together mr-2">
                              <img :src="convertImage(comboProduct)" alt="" data-priority="false"
                                onload="this.dataset.loaded=true;" onerror="this.dataset.error=true;" data-loaded="true"
                                width="100%" height="100%">
                              <v-icon color="#ffffff" size="18" class="product-frequently-quickview__icon">
                                mdi-eye
                              </v-icon>
                            </div>
                          </div>
                        </div>
                        <div class="my-5">
                          <div class="d-flex justify-space-between" v-for="(comboProduct, i) in combo.listProductId"
                            :key="comboProduct._id">
                            <div class="width-variant">
                              <div class="d-flex align-center checkbox-product" id="hideBottomInput">
                                <v-checkbox v-model="listProductIds" :value="comboProduct._id" dense outlined
                                  class="mr-0">
                                </v-checkbox>
                                <div>
                                  <p class="mb-0 subTitle2Semibold mt-2" v-if="comboProduct.name.length > 50">
                                    {{comboProduct.name.slice(0,50)}}...
                                  </p>
                                  <p class="mb-0 subTitle2Semibold mt-2" v-else>
                                    {{comboProduct.name}}
                                  </p>
                                </div>
                              </div>
                              <div class="mt-2 mr-2 ml-7">
                                <p class="mb-0 fsize-13 colorGreyBold">
                                  ${{calcPriceProductCombo(comboProduct) && $utils.formatCurrency(calcPriceProductCombo(comboProduct))}}
                                </p>
                              </div>
                            </div>
                            <div id="hideBottomInput" v-if="comboProduct.variant.length"
                              class="height-select width-variant-select">
                              <v-select dense outlined v-model="comboProduct.variantId" :items="comboProduct.variant"
                                item-text="name" item-value="_id"></v-select>
                            </div>
                          </div>
                        </div>
                        <v-divider class="mt-4"></v-divider>
                        <v-divider></v-divider>
                      </div>
                      <div v-if="product.relatedProduct && product.relatedProduct.length" class="mt-4">
                        <p class="fsize-20 mb-4">
                          {{$language.frequentlyBoughtTogether}}
                        </p>
                        <div class="d-flex flex-wrap align-center">
                          <div v-for="(relatedProduct, i) in product.relatedProduct" :key="relatedProduct._id">
                            <div class="product-frequently-bought-together mr-2">
                              <img :src="convertImage(relatedProduct)" alt="" data-priority="false"
                                onload="this.dataset.loaded=true;" onerror="this.dataset.error=true;" data-loaded="true"
                                width="100%" height="100%">
                              <v-icon color="#ffffff" size="18" class="product-frequently-quickview__icon">
                                mdi-eye
                              </v-icon>
                            </div>
                          </div>
                        </div>
                        <div class="my-5">
                          <div class="d-flex justify-space-between" v-for="(relatedProduct, i) in product.relatedProduct"
                            :key="relatedProduct._id">
                            <div class="width-variant">
                              <div class="d-flex align-center checkbox-product" id="hideBottomInput">
                                <v-checkbox v-model="listRelatedProductIds" :value="relatedProduct._id" dense outlined
                                  class="mr-0">
                                </v-checkbox>
                                <div>
                                  <p class="mb-0 subTitle2Semibold mt-2" v-if="relatedProduct.name.length > 50">
                                    {{relatedProduct.name.slice(0,50)}}...
                                  </p>
                                  <p class="mb-0 subTitle2Semibold mt-2" v-else>
                                    {{relatedProduct.name}}
                                  </p>
                                </div>
                              </div>
                              <div class="mt-2 mr-2 ml-7">
                                <p class="mb-0 fsize-13 colorGreyBold">
                                  ${{calcPriceRelatedProduct(relatedProduct)}}
                                </p>
                              </div>
                            </div>
                            <div id="hideBottomInput" v-if="relatedProduct.variant.length"
                              class="height-select width-variant-select">
                              <v-select dense outlined v-model="relatedProduct.variantId" :items="relatedProduct.variant"
                                item-text="name" item-value="_id"></v-select>
                            </div>
                          </div>
                        </div>
                        <v-divider></v-divider>
                      </div>
                      <div v-if="listProductIds.length || listRelatedProductIds.length">
                        <div>
                          <div class="my-4">
                            <p class="mb-0 bodyBold text-uppercase colorGreyBold text-center">
                              {{$language.totalPrice}}
                              <span class="black--text ml-3">
                                ${{$utils.formatCurrency(Math.round(totalPriceAddTocart * 100) / 100)}}
                              </span>
                            </p>
                          </div>
                          <div>
                            <v-btn color="#FF9934" class="elevation-0 rounded-0" block height="44px"
                              @click="onAddAllToCart()" :disabled="loadingAddAllTocart">
                              <v-progress-circular v-if="loadingAddAllTocart" size="18" indeterminate color="#FF9934">
                              </v-progress-circular>
                              <p class="white--text bodyBold mb-0" v-else>
                                {{$language.addAllToCart}}
                              </p>
                            </v-btn>
                          </div>
                        </div>
                        <v-divider></v-divider>
                        <div class="d-flex align-center justify-center my-6">
                          <div>
                            <img src="~/assets/images/visa.png" alt="" height="100%" width="40px">
                          </div>
                          <div class="mx-3">
                            <img src="~/assets/images/mastercard.png" alt="" height="100%" width="40px">
                          </div>
                          <div>
                            <img src="~/assets/images/paypal.png" alt="" height="100%" width="40px">
                          </div>
                        </div>
                      </div>
                    </div>
                    <img class="pt-4" src="https://img.opiction.com/images/safe-checkout.png" width="100%" height="146"
                      style="object-fit: contain">
                    <p class="litmit-announce mt-2"><span class="limit">Limited stock!</span><span
                        class="number">5416</span>
                      people are viewing this
                      and <span class="number">6086</span>
                      purchased it.</p>
                  </div>
                </div>
              </div>
            </div>
          </v-col>
        </v-row>
      </div>
    </div>
    <div class="white">
      <div class="content-width-960 mx-auto px-3 px-sm-6 px-md-0 pt-16 custom-font-text">
        <div id="imageFluid-product-description" v-if="isCustomShowDescription === 'middle'">
          <v-row no-gutters>
            <v-col cols="12" sm="4">
              <h4 class="h4">
                {{$language.description}}
              </h4>
            </v-col>
            <v-col cols="12" sm="8">
              <div id="imageFluid-product-description-short custom-font-text">
                <div v-html="product.description"></div>
              </div>
            </v-col>
          </v-row>
        </div>
        <div class="mt-16 pt-6 pb-0 px-8 card-review">
          <div class="rounded" v-if="reviews && reviews.length">
            <p class="mb-0 fsize-20 font-weight-bold">
              {{$language.reviewOn}}
            </p>
            <div class="my-6" v-for="(item, index) in reviews">
              <div class="d-flex align-center justify-space-between">
                <div>
                  <p class="mb-0 fsize-18">
                    {{item.name}}
                  </p>
                  <p class="mb-0" style="font-size: 14px; color:#667085">{{item.createdAt && formatDate(item.createdAt)}}
                  </p>
                </div>
                <div class="d-flex items-center">
                  <p class="mb-0 fsize-18 font-weight-medium mt-1 mr-4">
                    {{$language.rating}}: <span class="font-weight-bold">{{item.rating}}.0</span>
                  </p>
                  <v-rating readonly v-model="item.rating" background-color="orange lighten-3" color="orange">
                  </v-rating>
                </div>
              </div>
              <div class="mt-6">
                <div v-for="(item, index) in item.images" class="mr-3" style="width: 64px; height: 64px">
                  <img :key="index" :src="convertImageReview(item)" style="width: 100%; height: 100%" />
                </div>
              </div>
              <div class="mt-4 mb-6">
                <p class="fsize-18 font-weight-bold mb-0">{{item.title}}</p>
                <p class="mb-0 mt-2" style="font-size: 14px; color:#667085">{{item.content}}</p>
              </div>
              <v-divider background-color="#F1F5F9" v-if="index < reviews.length - 1" :key="index"></v-divider>
            </div>
            <!-- <v-list two-line class="!py-0">
              <template v-for="(item, index) in reviews">
                <v-list-item :key="item + index" class="hover:bg-gray-50 !px-0">
                  <div class="p-2">
                    <div>
                      <v-rating small readonly v-model="item.rating" color="yellow darken-3"
                        background-color="grey darken-1" empty-icon="$ratingFull" hover large></v-rating>
                    </div>
                    <div class="px-2 pb-2">
                      <p class="mb-0 text-gray-900 font-semibold text-sm">{{item.name}}</p>
                      <p class="mb-0" style="font-size: 14px; color:#667085">{{item.email}}</p>
                      <p class="mb-0" style="font-size: 14px; color:#667085">{{item.createdAt}}</p>
                    </div>
                  </div>
                  <v-list-item-content>
                    <p class="text-xs font-semibold">{{item.title}}</p>
                    <p class="text-xs">{{item.content}}</p>
                    <div class="d-flex justify-start items-center mt-2">
                      <div v-for="(item, index) in item.images" class="mr-3" style="width: 48px; height: 48px">
                        <img :key="index" :src="convertImageReview(item)" style="width: 100%; height: 100%" />
                      </div>
                    </div>
                  </v-list-item-content>
                </v-list-item>
  
                <v-divider v-if="index < reviews.length - 1" :key="index"></v-divider>
              </template>
            </v-list> -->
          </div>
          <!-- <div v-if="listReviewProduct && listReviewProduct.length" class="mt-3">
            <v-skeleton-loader class="mx-auto mt-10" max-width="100%" type="card" v-if="loadingTable">
            </v-skeleton-loader>
            <div v-else
              :style="listReviewProduct.length > 3 && isHeightReview ? 'height: 500px; overflow-y: scroll' : ''">
              <div v-for="(review, i) in listReviewProduct" :key="i">
                <div class="py-4">
                  <div class="d-flex align-center">
                    <p class="mb-0 fsize-14 font-weight-bold">
                      {{onSliceEmail(review.email)}}
                    </p>
                    <div class="d-flex align-center">
                      <v-icon color="#0BD580" size="16" class="mx-2">
                        mdi-check-circle
                      </v-icon>
                      <span class="contentSemanticSuccess fsize-14">
                        {{$language.purchased}}
                      </span>
                    </div>
                  </div>
                  <div class="d-flex align-center">
                    <p class="mb-0 fsize-12 font-weight-bold text-uppercase">
                      {{review.name}}
                    </p>
                    <div v-for="n in review.rating" :key="n" class="ml-1">
                      <v-icon class="mr-1" size="16" color="#FB8C00">
                        mdi-star
                      </v-icon>
                    </div>
                    <div v-for="n in (5 - review.rating)" :key="n">
                      <v-icon class="ml-1" size="16" color="grey darken-1">
                        mdi-star
                      </v-icon>
                    </div>
                  </div>
                  <div class="mt-2 d-flex align-center">
                    <div class="d-flex align-center mr-4" v-for="(img,i) in review.images" :key="i">
                      <img :src="convertImageReply(img)" alt="" width="125" height="125" class="rounded">
                    </div>
                  </div>
                  <div class="mt-3">
                    <p class="mb-0 fsize-14">
                      {{review.content}}
                    </p>
                    <div class="mt-2 d-flex align-center">
                      <v-btn text small @click="openDialogReplyComment(review)">
                        <div class="d-flex align-center">
                          <v-icon color="blue" size="14">
                            mdi-comment-text-outline
                          </v-icon>
                          <p class="mb-0 ml-2 blue--text fsize-13 font-weight-medium text-none">
                            {{$language.reply}}
                          </p>
                        </div>
                      </v-btn>
                      <div>
                        <p class="mb-0 fsize-13 ml-4">
                          {{review.createdAt && formatDate(review.createdAt)}}
                        </p>
                      </div>
                    </div>
                  </div>
                  <div class="backgroundDetail py-3 mt-3" v-for="(answer, i) in review.answerReview" :key="i">
                    <div class="mx-6" v-if="review.answerReview && review.answerReview.length">
                      <div>
                        <p class="mb-0 fsize-14 font-weight-bold">
                          {{onSliceEmail(answer.email)}}
                        </p>
                        <p class="mb-0 fsize-12 font-weight-bold text-uppercase">
                          {{answer.name}}
                        </p>
                        <div class="mt-3">
                          <p class="mb-0 fsize-14">
                            {{answer.content}}
                          </p>
                          <p class="mb-0 mt-2 fsize-13">
                            {{answer.createdAt && formatDate(answer.createdAt)}}
                          </p>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <v-divider></v-divider>
              </div>
            </div>
            <div class="d-flex align-center justify-center mt-5" v-if="listReviewProduct.length > 3">
              <v-btn outlined color="#076CE3" class="elevation-0" @click="isHeightReview = !isHeightReview">
                <span class="text-none">{{isHeightReview ? 'Hide' : 'See More'}}</span>
              </v-btn>
            </div>
          </div> -->
          <div v-else class="my-6">
            <p class="mb-0 fsize-20 text-center">
              {{$language.noList}}
            </p>
          </div>
        </div>
        <!-- <div class="mt-6 pb-16" style="max-height: 570px">
          <div v-if="listBestSeller && listBestSeller.length">
            <h4 class="h4 text-center">
              {{$language.storeBestSeller}}
            </h4>
            <div class="mt-3">
              <div>
                <CarouselBestSeller :listRecentlyViewed.sync="listBestSeller" />
              </div>
            </div>
          </div>
        </div>
        <div class="mt-6" style="padding-bottom: 5px; max-height: 570px">
          <div v-if="listRecentlyViewed.length">
            <div>
              <div>
                <CarouselRecently :listRecentlyViewed.sync="listRecentlyViewed" />
              </div>
            </div>
          </div>
        </div> -->
      </div>
    </div>
    <!-- <DialogAddToCart />
    <DialogAddedProduct :productSlug.sync="productSlug" /> -->
  
  
    <!-- <v-row justify="center">
      <v-dialog v-model="dialogReview" max-width="600">
        <v-card>
          <div class="d-flex align-center justify-space-between pa-4">
            <p class="mb-0 fsize-18 contentBlack">{{$language.review}}</p>
            <v-btn icon small @click="dialogReview = false">
              <v-icon>
                mdi-close
              </v-icon>
            </v-btn>
          </div>
          <v-divider></v-divider>
          <div class="pa-4" id="hideBottomInput">
            <div class="d-flex align-center justify-space-between">
              <div class="d-flex align-center">
                <div class="d-flex align-center">
                  <img :src="convertImageProduct(product.coverId.imageUrl)" alt="" width="65" height="65" class="rounded"
                    v-if="product.coverId && product.coverId.imageUrl">
                </div>
                <div class="ml-5">
                  <p class="mb-0 fsize-16 contentBlack">
                    {{product && product.productName && product.productName.length > 25 ? product.productName.slice(0,25) + '...' : product.productName}}
                  </p>
                </div>
              </div>
              <div class="d-flex justify-center">
                <v-rating v-model.number="review.rating" color="yellow darken-3" background-color="grey darken-1"
                  empty-icon="$ratingFull" hover small>
                </v-rating>
              </div>
            </div>
            <div class="mt-4">
              <v-textarea dense outlined :placeholder="$language.review" rows="3" v-model="review.content">
              </v-textarea>
            </div>
            <div class="mt-2 border-image-review rounded">
              <div class="d-flex align-center pa-4">
                <v-btn color="blue" class="elevation-0" @click="onSelectImage()">
                  <div class="d-flex align-center">
                    <v-icon color="#ffffff">
                      mdi-camera
                    </v-icon>
                    <p class="mb-0 ml-2 fsize-14 text-none white--text">
                      {{$language.uploadImage}}
                    </p>
                  </div>
                </v-btn>
                <div class="ml-3">
                  <p class="mb-0 fsize-14 contentBlack">
                    ({{$language.uploadImageTo}})
                  </p>
                </div>
              </div>
              <v-file-input v-model="listImgReview" class="d-none" ref="fileImage" accept="image/*" label="File input"
                multiple @change="onChangeImage">
              </v-file-input>
              <div class="backgroundPlaceholder pa-2 d-flex align-center"
                v-if="listImageRender && listImageRender.length">
                <div v-for="(img, i) in listImageRender" :key="i" class="mr-2" style="max-height: 65px;">
                  <img :src="img" alt="" width="65" height="65" class="rounded">
                </div>
              </div>
            </div>
            <v-row class="mt-4">
              <v-col cols="12">
                <v-text-field dense outlined v-model="review.email" :placeholder="$language.enterYourEmail">
                </v-text-field>
              </v-col>
              <v-col cols="6" class="pt-0">
                <v-text-field dense outlined v-model="review.name" :placeholder="$language.enterYourName"></v-text-field>
              </v-col>
              <v-col cols="6" class="pt-0">
                <v-text-field dense outlined v-model="review.phoneNumber" :placeholder="$language.enterYourPhone">
                </v-text-field>
              </v-col>
            </v-row>
            <div class="d-flex justify-end mt-6">
              <v-btn text class="elevation-0 mr-3" @click="dialogReview = false" :disabled="loading">
                <span class="text-none">
                  {{$language.cancel}}
                </span>
              </v-btn>
              <v-btn color="blue" class="elevation-0" @click="onReviewProduct()" :disabled="loading">
                <v-progress-circular v-if="loading" size="18" indeterminate color="blue">
                </v-progress-circular>
                <span class="text-none white--text" v-else>
                  {{$language.submitReview}}
                </span>
              </v-btn>
            </div>
          </div>
        </v-card>
      </v-dialog>
    </v-row>
  
    <v-row justify="center">
      <v-dialog v-model="dialogCommentReview" max-width="600">
        <v-card>
          <div class="d-flex align-center justify-space-between pa-4">
            <p class="mb-0 fsize-18 contentBlack">{{$language.replyReview}}</p>
            <v-btn icon small @click="dialogCommentReview = false">
              <v-icon>
                mdi-close
              </v-icon>
            </v-btn>
          </div>
          <v-divider></v-divider>
          <div class="pa-3" id="hideBottomInput">
            <div class="backgroundGrey pa-4">
              <div class="d-flex align-center justify-space-between fwidth">
                <p class="mb-0 fsize-16 contentBlack font-weight-bold">
                  {{$language.reply}} {{onSliceEmail(reviewInfo.email)}}
                </p>
                <div class="d-flex align-center" v-if="reviewInfo && reviewInfo.rating">
                  <div v-for="n in reviewInfo.rating" :key="n">
                    <v-icon class="mr-1" size="16" color="#FB8C00">
                      mdi-star
                    </v-icon>
                  </div>
                  <div v-for="n in (5 - reviewInfo.rating)" :key="n">
                    <v-icon class="mr-1" size="16" color="grey darken-1">
                      mdi-star
                    </v-icon>
                  </div>
                </div>
                <div v-else>
                  <div v-for="n in 5" :key="n">
                    <v-icon class="mr-1" size="16" color="grey darken-1">
                      mdi-star
                    </v-icon>
                  </div>
                </div>
              </div>
              <div class="mt-2">
                <p class="mb-0 fsize-14 contentBlack">
                  {{reviewInfo && reviewInfo.content && reviewInfo.content.length > 25 ? reviewInfo.content.slice(0,25) + '...' : reviewInfo.content}}
                </p>
              </div>
            </div>
            <div class="mt-4">
              <v-textarea dense outlined :placeholder="$language.enterYourDescription" rows="3" v-model="review.content">
              </v-textarea>
            </div>
            <v-row class="mt-4">
              <v-col cols="12">
                <v-text-field dense outlined v-model="review.email" :placeholder="$language.enterYourEmail">
                </v-text-field>
              </v-col>
              <v-col cols="6" class="pt-0">
                <v-text-field dense outlined v-model="review.name" :placeholder="$language.enterYourName"></v-text-field>
              </v-col>
              <v-col cols="6" class="pt-0">
                <v-text-field dense outlined v-model="review.phoneNumber" :placeholder="$language.enterYourPhone">
                </v-text-field>
              </v-col>
            </v-row>
            <div class="d-flex justify-end mt-6">
              <v-btn text class="elevation-0 mr-3" @click="dialogCommentReview = false" :disabled="loading">
                <span class="text-none">
                  {{$language.cancel}}
                </span>
              </v-btn>
              <v-btn color="blue" class="elevation-0" @click="onCommentReviewProduct()" :disabled="loading">
                <v-progress-circular v-if="loading" size="18" indeterminate color="blue">
                </v-progress-circular>
                <span class="text-none white--text" v-else>
                  {{$language.submitCommentReview}}
                </span>
              </v-btn>
            </div>
          </div>
        </v-card>
      </v-dialog>
    </v-row> -->
  
  </div>